package de.ozgcloud.nachrichten.antragraum;

import de.ozgcloud.common.test.TestUtils;

public class GrpcSendRueckfrageAnswerRequestTestFactory {
	static final String SAML_TOKEN = TestUtils.loadTextFile("SamlResponse.xml");
	static final GrpcRueckfrageAnswer ANSWER = GrpcRueckfrageAnswerTestFactory.create();

	static GrpcSendRueckfrageAnswerRequest create() {
		return createBuilder().build();
	}

	static GrpcSendRueckfrageAnswerRequest.Builder createBuilder() {
		return GrpcSendRueckfrageAnswerRequest.newBuilder()
				.setAnswer(ANSWER)
				.setSamlToken(SAML_TOKEN);
	}

}
