package de.ozgcloud.nachrichten.antragraum;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.apilib.file.OzgCloudFileTestFactory;

class OzgCloudFileMapperTest {

	private final OzgCloudFileMapper mapper = Mappers.getMapper(OzgCloudFileMapper.class);

	@Nested
	class TestToMetadata {

		@Test
		void shouldMapToMetadata() {
			var metadata = mapper.toMetadata(OzgCloudFileTestFactory.create());

			assertThat(metadata).isEqualTo(GrpcFileMetadataTestFactory.create());
		}
	}
}
